body {
    background-color: $background-color-1;
    color: $text-color-default;
    font-family: $font-family-sans-serif;
    font-size: 16px;
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
    color: inherit;
    font-family: $font-family-oswald;
    font-weight: 700;
    line-height: 1.3;
    text-transform: uppercase;
}

.h1>span,
.h2>span,
.h3>span,
.h4>span,
.h5>span,
.h6>span,
h1>span,
h2>span,
h3>span,
h4>span,
h5>span,
h6>span {
    font-weight: 300;
}

.h1,
.h2,
.h3,
h1,
h2,
h3 {
    margin-top: 30px;
    margin-bottom: 30px;
}

a {
    color: $text-color-2;
    &:focus,
    &:hover {
        color: $text-color-3;
    }
}

.alert {
    border-radius: 0;
    border: 2px dashed transparent;
    margin-bottom: 30px;
    margin-top: 30px;
    padding: 20px;
    position: relative;
    >h2,
    >h3 {
        color: $text-color-2;
        font-size: 18px;
        margin-top: 0;
    }
    >p {
        color: $text-color-default;
        font-weight: 700;
    }
    &.alert-info {
        background-color: transparent;
        border-color: $background-color-2;
    }
    &.alert-warning {
        color: inherit;
        background-color: transparent;
        >p {
            color: $text-color-2;
            font-style: italic;
            padding-left: 50px;
            i {
                background-color: $background-color-11;
                border-radius: 50%;
                border: 5px solid $background-color-7;
                bottom: 0;
                color: $text-color-1;
                display: block;
                font-size: 36px;
                height: 60px;
                left: 0;
                line-height: 56px;
                margin: auto 0;
                position: absolute;
                text-align: center;
                top: 0;
                width: 60px;
            }
        }
    }
}

figure {
    margin-bottom: 30px;
    margin-top: 30px;
    img {
        border: 5px solid $background-color-7;
    }
}

.table {
    border: 5px solid $background-color-7;
    >thead,
    >tbody,
    >tfoot {
        >tr>td,
        >tr>th {
            border-width: 0;
            padding: 10px 15px;
        }
    }
    >thead {
        >tr {
            >th {
                background-color: $background-color-2;
                border-width: 0;
                color: $text-color-1;
                font-family: $font-family-oswald;
                vertical-align: middle;
            }
        }
    }
    &.responsive {
        >thead {
            display: none;
            @media (min-width: $screen-sm-min) {
                display: table-header-group;
            }
        }
        >tbody {
            >tr>td {
                display: block;
                @media (min-width: $screen-sm-min) {
                    display: table-cell;
                }
                &::before {
                    background-color: $background-color-2;
                    color: $text-color-1;
                    content: attr(data-heading);
                    display: block;
                    font-family: $font-family-oswald;
                    margin-bottom: 10px;
                    padding: 10px 15px;
                    text-align: center;
                    @media (min-width: $screen-sm-min) {
                        display: none;
                    }
                }
            }
        }
    }
}

.embed-responsive {
    border: 5px solid $background-color-7;
}

.loading {
    margin-bottom: 30px;
    margin-top: 120px;
    text-align: center;
}